Search call transcripts
GET
/v1/mobile/workspace/transcripts/search
const url = 'https://api.vocapable.com/v1/mobile/workspace/transcripts/search?q=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/mobile/workspace/transcripts/search?q=example' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
required
Q
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceTranscriptSearch
object
query
required
Query
string
data
required
Data
Array<object>
WorkspaceTranscriptSearchHitobject
call_id
required
Call Id
string
handler
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
requested_at
required
Requested At
string format: date-time
snippet
required
Snippet
string
matches
required
Matches
integer
Examplegenerated
{ "query": "example", "data": [ { "call_id": "example", "contact_id": "example", "contact_name": "example", "handler": { "user_id": "example", "name": "example" }, "requested_at": "2026-04-15T12:00:00Z", "snippet": "example", "matches": 1 } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}